Mailinglist Archive: opensuse-factory (930 mails)

< Previous Next >
[opensuse-factory] New Tumbleweed snapshot 20180417 released!

Please note that this mail was generated by a script.
The described changes are computed based on the x86_64 DVD.
The full online repo contains too many changes to be listed here.

Please check the known defects of this snapshot before upgrading:
https://openqa.opensuse.org/tests/overview?distri=opensuse&groupid=1&version=Tumbleweed&build=20180417

When you reply to report some issues, make sure to change the subject.
It is not helpful to keep the release announcement subject in a thread
while discussing a specific problem.

Packages changed:
ImageMagick
apparmor
corosync
cups-filters (1.20.1 -> 1.20.2)
desktop-translations (84.87.20180321.47fa9a4e -> 84.87.20180416.e6c83e49)
ffmpeg
ghostscript (9.22 -> 9.23)
gnome-chess (3.28.0 -> 3.28.1)
gpg2 (2.2.5 -> 2.2.6)
gpgme
grub2
iproute2 (4.15.0 -> 4.16)
ipset (6.36 -> 6.38)
libcontainers-common
libgphoto2 (2.5.16 -> 2.5.17)
libinput (1.10.3 -> 1.10.4)
liblrdf
libreoffice
libzip (1.5.0 -> 1.5.1)
libzypp (17.2.2 -> 17.3.0)
llvm6
lttng-ust
makedumpfile
mc
nghttp2 (1.29.0 -> 1.31.1)
pam-config
perl-Config-IniFiles (2.95 -> 2.96)
perl-DateTime-Locale (1.170000 -> 1.180000)
pidgin
plasma5-desktop
polkit-default-privs
postfix
python-kiwi (9.13.5 -> 9.14.2)
sane-backends
sqlite3 (3.23.0 -> 3.23.1)
talloc (2.1.11 -> 2.1.13)
tigervnc
webkit2gtk3 (2.20.0 -> 2.20.1)
xf86-input-libinput (0.27.0 -> 0.27.1)
zbar

=== Details ===

==== ImageMagick ====
Subpackages: ImageMagick-devel ImageMagick-extra libMagick++-7_Q16HDRI4
libMagickCore-7_Q16HDRI5 libMagickWand-7_Q16HDRI5 perl-PerlMagick

- security update (webp.c)
* CVE-2018-9135 [bsc#1087825]
+ ImageMagick-CVE-2018-9135.patch
- consider urw-base35-fonts [bsc#1088463]
- Drop buildrequire on mupdf-devel-static, there is only one occurance
in all makefiles mentioning MUPDF_LIBS and it is always empty
- Format with minimal run of spec-cleaner
* Use license
* Sort BRs alphabetically

==== apparmor ====
Subpackages: apparmor-abstractions apparmor-docs apparmor-parser
apparmor-parser-lang apparmor-profiles apparmor-utils apparmor-utils-lang
pam_apparmor pam_apparmor-32bit perl-apparmor python3-apparmor

- add dovecot-stats.diff:
- add dovecot/stats profile and allow dovecot to run it (boo#1088161)
- allow dovecot/auth to write /run/dovecot/old-stats-user (part of
boo#1087753)
- update 32-bit-no-uid.diff with upstream fix

==== corosync ====
Subpackages: libcfg6 libcmap4 libcorosync_common4 libcpg4 libquorum5 libsam4
libtotem_pg5 libvotequorum8

- (CVE-2018-1084) VUL-0: CVE-2018-1084: corosync: Integer overflow in
totemcrypto(bsc#1089346)
Added: 0018-bsc#1089346-corosync-Integer-overflow-in-totemcrypto.patch
- UNKNOWN version in corosync pkg-config(bsc#1088619)
Added: 0017-bsc#1088619-add-version.patch

==== cups-filters ====
Version update (1.20.1 -> 1.20.2)

- Version upgrade to 1.20.2
to provide upstream bugfixes also for SLE15 / Leap15
and be also already prepared for SLE12 (fate#323676).
This is a bug fix release fixing the recognition
of remote CUPS queues by cups-browsed, the behavior
of cups-browsed when one creates a queue with the
same name of a cups-browsed-generated queue overwriting
it, and other bug fixes (for details see the NEWS file).

==== desktop-translations ====
Version update (84.87.20180321.47fa9a4e -> 84.87.20180416.e6c83e49)

- Update to version 84.87.20180416.e6c83e49:
* Translated using Weblate (Arabic)
* Translated using Weblate (Catalan)
* Translated using Weblate (Chinese (China))
* Translated using Weblate (Chinese (Taiwan))
* Translated using Weblate (Czech)
* Translated using Weblate (Dutch)
* Translated using Weblate (French)
* Translated using Weblate (German)
* Translated using Weblate (Hungarian)
* Translated using Weblate (Italian)
* Translated using Weblate (Japanese)
* Translated using Weblate (Lithuanian)
* Translated using Weblate (Polish)
* Translated using Weblate (Portuguese (Brazil))
* Translated using Weblate (Russian)
* Translated using Weblate (Slovak)
* Translated using Weblate (Spanish)
* Translated using Weblate (Swedish)

==== ffmpeg ====
Subpackages: libavcodec-devel libavcodec57 libavdevice57 libavfilter6
libavformat57 libavresample-devel libavresample3 libavutil-devel libavutil55
libpostproc54 libswresample-devel libswresample2 libswscale-devel libswscale4

- Enable build against libzimg.
- Add 0001-opusenc-psy-disable-stereo-searches.patch
to fix a crash in the Opus encoder when outputting mono.
- Enable FFmpeg Opus encoder as a selectable runtime alternative
to Xiph libopus.

==== ghostscript ====
Version update (9.22 -> 9.23)
Subpackages: ghostscript-devel ghostscript-x11

- Version upgrade to 9.23
Highlights in this release include:
* Ghostscript now has a family of 'pdfimage' devices
(pdfimage8, pdfimage24 and pdfimage32) which produce
rendered output wrapped up as an image in a PDF.
Additionally, there is a 'pclm' device which
produces PCLm format output.
* There is now a ColorAccuracy parameter allowing the user
to decide between speed or accuracy in ICC color transforms.
* JPEG Passthrough: devices which support it can now receive
the 'raw' JPEG stream from the interpreter.
The main use of this is the pdfwrite/ps2write family of devices
that can now take JPEG streams from the input file(s) and write
them unchanged to the output (thus avoiding additional
quantization effects).
* PDF transparency performance improvements
* IMPORTANT: We (i.e. Ghostscript upstream) are in the process
of forking LittleCMS.
LCMS2 is not thread safe, and cannot be made thread safe
without breaking the ABI. Our fork will be thread safe,
and include performance enhancements (these changes have all
be been offered and rejected upstream). We will maintain
compatibility between Ghostscript and LCMS2 for a time,
but not in perpetuity. Our fork will be available as its own
package separately from Ghostscript (and MuPDF).
* We have continued the focus on code hygiene in this release
cleaning up security issues, ignored return values,
and compiler warnings.
* The usual round of bug fixes, compatibility changes,
and incremental improvements.
Incompatible changes
* The planned device API tidy has, unfortunately, been
indefinitely postponed, until appropriate resources
are available.
For a release summary see:
http://www.ghostscript.com/doc/9.23/News.htm
For details see the News.htm and History9.htm files.
See also the entries below since "Version upgrade to 9.22"
(boo#1082896 and boo#1074266).
- For now use lcms2 from SUSE because that is what currently
Ghostscript upstream recommends according to
https://ghostscript.com/pipermail/gs-devel/2018-March/010061.html
because since Ghostscript 9.23rc1 there is no longer lcms2
in Ghostscript but now it is lcms2art which is the beginning
of a lcms2 fork, see News.htm that reads in particular
"LCMS2 is not thread safe ... Our fork will be thread safe ...
We will maintain compatibility between Ghostscript and LCMS2
for a time, but not in perpetuity", see also
https://bugzilla.opensuse.org/show_bug.cgi?id=1082896#c14
- On SLE11 and on SLE12-SP1 there is liblcms2-2-2.5
which is too old so that configure fails there with
configure: error: lcms2 not found, or too old
but there is no configure option to build it without lcms2
so that for SLE11 and SLE12-SP1 it is built with
the lcms2art in Ghostscript.
- ppc64le-support.patch is no longer needed because it only
contained a fix for lcms2art/include/lcms2art.h in Ghostscript
but currently lcms2 from SUSE is used instead (see above).
- Do no longer require any fonts packages in particular
neither require ghostscript-fonts-std because the PostScript
Base35 fonts are provided by Ghostscript (in 'Resource')
nor require ghostscript-fonts-other (provides Bitream Charter,
Adobe Utopia, URW Antiqua, URW Grotesq and Hershey fonts where
all but the last are also provided by texlive-<name>-fonts) and
those fonts are not required for PostScript compliance, see
https://bugzilla.opensuse.org/show_bug.cgi?id=1082896#c13
- Version upgrade to 9.23rc1 (first release candidate for 9.23).
For details see the News.htm and History9.htm files.
Regarding installing packages (in particular release candidates)
from the openSUSE build service development project "Printing"
see https://build.opensuse.org/project/show/Printing
- Adapted ppc64le-support.patch: In Ghostscript 9.23 there is now
lcms2art/include/lcms2art.h (instead of lcms2/include/lcms2.h).
- ghostscript-fix-debug-use.patch is no longer needed
because the issue is fixed in the upstream sources.
- fix_ln_docdir_gsdatadir.patch avoids
"base/unixinst.mak:162: recipe for target 'install-doc' failed"
- Adapted spec file to the new Ghostscript upstream documentation
directory /usr/share/doc/ghostscript/9.23/
- Use -p /sbin/ldconfig instead of shell post(un) scriptlet, drop
explicit Prereq for ldconfig
- Use shared libgs library for gs binary instead of static linked
version
- Use --disable-compile-inits, to allow unbundling of Resource files
- Remove --disable-omni switch, has been removed in GS 9.20
- Keep patch ordering in full/mini consistent
- Remove patch backup files to avoid packaging

==== gnome-chess ====
Version update (3.28.0 -> 3.28.1)
Subpackages: gnome-chess-lang

- Update to version 3.28.1:
+ Updated translations.
- Update URL tag to https://wiki.gnome.org/Apps/Chess: currently
the Chess' web page.
- Drop:
+ update-desktop-files BuildRequires and suse_update_desktop_file
macro: they are no longer required anymore.
+ gl and x11 pkgconfig modules BuilRequires: they are not needed
nor used anymore.
- Add pkgconfig(gio-unix-2.0) BuildRequires to avoid implicit
dependencies.

==== gpg2 ====
Version update (2.2.5 -> 2.2.6)
Subpackages: gpg2-lang

- GnuPG 2.2.6:
* gpg,gpgsm: New option --request-origin to pretend requests coming
from a browser or a remote site.
* gpg: Fix race condition on trustdb.gpg updates due to too early
released lock.
* gpg: Emit FAILURE status lines in almost all cases.
* gpg: Implement --dry-run for --passwd to make checking a key's
passphrase straightforward.
* gpg: Make sure to only accept a certification capable key for key
signatures.
* gpg: Better user interaction in --card-edit for the factory-reset
sub-command.
* gpg: Improve changing key attributes in --card-edit by adding an
explicit "key-attr" sub-command.
* gpg: Print the keygrips in the --card-status.
* scd: Support KDF DO setup.
* scd: Fix suspend/resume handling in the CCID driver.
* agent: Evict cached passphrases also via a timer.
* agent: Use separate passphrase caches depending on the request
origin.
* ssh: Support signature flags.
* dirmngr: Handle failures related to missing IPv6 support
gracefully.
* Allow the use of UNC directory names as homedir. [#3818]
- Dropped gnupg-CVE-2018-9234.patch since it is included upstream

==== gpgme ====
Subpackages: libgpgme-devel libgpgme11 libgpgmepp6 libqgpgme7

- bsc#1089497: Address failure handling issues when using gpg 2.2.6
via gpgme, as used by libzypp
Add 0001-core-Tweak-STATUS_FAILURE-handling.patch

==== grub2 ====
Subpackages: grub2-i386-pc grub2-snapper-plugin grub2-systemd-sleep-plugin
grub2-x86_64-efi grub2-x86_64-xen

- Fix error of essential directory not found on UEFI Xen host (bsc#1085842)
* add grub2-efi-xen-removable.patch
* rediff grub2-suse-remove-linux-root-param.patch
- Fix corruption of "grub2-install --help" and grub2-install manual
page (bsc#1086670)
* unix-exec-avoid-atexit-handlers-when-child-exits.patch

==== iproute2 ====
Version update (4.15.0 -> 4.16)

- Update to new upstream release 4.16
* ip link: allow configuring GSO max values
* gre6: add collect metadata support
* erspan: add erspan version II support
* ip link: add support for netdevsim device type
* tc: Add batchsize feature for filter and actions
* tc red: allow setting th_min and th_max to the same value
* bpf: support map offload
* tc: support shared block to share filters between qdiscs
* ip tunnel: unify local/remote endpoint address printing
* tc: JSON output for prio and RED
* rdma: add option to provide "-" sign for the port number
* rdma: add filtering infrastructure
* rdma: add QP resource tracking information
* netns: allow negative nsid
* ignore -color when json output is requested
* devlink: add support for devlink resource abstraction
* devlink: add support for hot reload
* ip route: treat "default" and "all"/"any" addresses differenty
* ss: allow excluding a socket table from being queried
- use %license for license file (bsc#1082318)

==== ipset ====
Version update (6.36 -> 6.38)
Subpackages: libipset11

- Update to new upstream release 6.38
* Fix parsing service names for ports.

==== libcontainers-common ====

- Added /usr/share/containers/oci/hooks.d and /etc/containers/oci/hooks.d
to the package. These are used by tools like cri-o and podman to store
custom hooks.

==== libgphoto2 ====
Version update (2.5.16 -> 2.5.17)
Subpackages: libgphoto2-6 libgphoto2-6-lang libgphoto2-devel

- updated to 2.5.17 release
- ptp2:
* Apple iOSX: handle root directory objects that have ParentObject==StorageID
instead of 0
* implement PTP 1.1 Manifest reading and hook into filesystem. currently only
supported by Apple iOS.
* Canon PowerShot CHDK live view support.
* Canon EOS: prepare capture needs to wait a bit on a crucial place to get
all events.
might fix some PTP Device Busy reports.
* Canon EOS: split bulk downloads into pieces of partial downloads. This
might cure the Error 70.
* Canon EOS: Improved EOS M capture
* Canon CHDK: live preview capture support added
* Added USB IDs:
* Sony A7r III
* Nikon CoolPix L430
* Nikon D850
* Canon EOS M2, M6, M100
* Canon EOS 6D Mark II
* Fuji Film X-Pro 2
- pentax:
* Code updates imported from pkremote
- libgphoto2:
* Report file changes via GP_EVENT_FILE_CHANGED (hooked up for Canon EOS
currently)
- translations:
* updates spanish, chinese

==== libinput ====
Version update (1.10.3 -> 1.10.4)
Subpackages: libinput-udev libinput10

- Update to version 1.10.4:
* Biggest user-noticeable change is that the hysteresis threshold
is significantly reduced to 0.25 of a mm now or to the kernel
fuzz value where present. This should make touchpads a bit more
snappy.
* Two fixes for touchpad touch handling, one affecting semi-mt
devices with hovering capability and one affecting the Apple
touchpads where a touch can get erroneously detected as as
exceeding the speed thesholds.
* The rest - documentation and tool fixes. Nandor's udev fix
fixes a race condition in the test suite.

==== liblrdf ====

- Remove --with-pic which only makes sense for static libs.
- Fix SRPM group.

==== libreoffice ====
Subpackages: libreoffice-base libreoffice-base-drivers-mysql
libreoffice-branding-upstream libreoffice-calc libreoffice-draw
libreoffice-filters-optional libreoffice-gnome libreoffice-gtk3
libreoffice-icon-themes libreoffice-impress libreoffice-kde4
libreoffice-l10n-cs libreoffice-l10n-da libreoffice-l10n-de libreoffice-l10n-el
libreoffice-l10n-en libreoffice-l10n-es libreoffice-l10n-fr libreoffice-l10n-hu
libreoffice-l10n-it libreoffice-l10n-ja libreoffice-l10n-pl
libreoffice-l10n-pt_BR libreoffice-l10n-ru libreoffice-l10n-zh_CN
libreoffice-l10n-zh_TW libreoffice-mailmerge libreoffice-math libreoffice-pyuno
libreoffice-writer libreofficekit

- Provide and obsolete all the gtk3 disabled stuff if we disable
gtk3 to ease migration
- Drop patch libreoffice-lto-failtest.patch as the problem was with
memcpy in wrong phases, fixed by cflag -flifetime-dse=1
- Provide and obsolete also libreoffice-branding-SLE
- Use pkgconfig(libpg) instead of posgresql-devel dependency
- Bring back offline help per popular demand as lto saves space
we could use with it bsc#915996
- Update patch to not call python directly during help generating:
* 0001-Use-PYTHON_FOR_BUILD-instead-of-calling-python-direc.patch
- Use gpg keys to verify downloaded archives
- Add patch to disable test failing with LTO:
* libreoffice-lto-failtest.patch
- Switch to memory-constraints macros to limit threads as needed
- Enable LTO on libreoffice, 16% smaller binaries, less memory used

==== libzip ====
Version update (1.5.0 -> 1.5.1)
Subpackages: libzip-devel libzip5

- Compile the package in %build phase not during %install phase
- Update to version 1.5.1
* Choose format of installed documentation based on available tools.
* Fix visibility of symbols.
* Fix zipcmp directory support.
* Don?t set RPATH on Linux.
* Use Libs.private for link dependencies in pkg-config file.
* Fix build with LibreSSL.
* Various bugfixes.
- Add groff to BuildRequires (so manpages get installed)

==== libzypp ====
Version update (17.2.2 -> 17.3.0)

- Show progressbar when running posttrans scripts
- Execute service plugin script chrooted to the RepoManagers root
(bsc#1080693)
- Make sure the product file comes from /etc/products.d for the
fallback product search (bsc#1086602)
- Introduce ZConfig::repoManagerRoot to support having diverging
target and repomanager root paths
- Rename `stderr` as it can be a macro (fixes #102)
- version 17.3.0 (2)

==== llvm6 ====
Subpackages: libLLVM6 libclang6

- llvm-build-tests-with-rtti.patch
* Fixes build failure with gcc 8. (bnc#1087136)

==== lttng-ust ====

- Build the Python agent and add new subpackages: python3-lttngust
and liblttng-ust-python-agent0.

==== makedumpfile ====

- makedumpfile-do-not-print-ETA-if-progress-is-0.patch: Do not
print ETA value if current progress is 0 (bsc#1084936).

==== mc ====
Subpackages: mc-lang

- Remove some unused BuildRequires, enabling building on SLE-15
- Drop fdupes usage as difference is only 1 file smaller than 1kB.

==== nghttp2 ====
Version update (1.29.0 -> 1.31.1)

- Version umpdate to 1.31.1:
* Fix bsc#1088639 CVE-2018-1000168
* https://nghttp2.org/blog/2018/04/12/nghttp2-v1-31-1/
- Version update to 1.31.0:
* lib: Add nghttp2_session_set_user_data() public API function (GH-1137)
* src: Define nghttp2_inet_pton wrapper to avoid inet_pton macro (GH-1128)
* nghttpx: Close listening socket on graceful shutdown
* nghttpx: Add an option to accept expired client certificate (GH-1126)
* nghttpx: Add mruby tls_client_not_before, and tls_client_not_after (GH-1123)
* nghttpx: Fix potential memory leak
* lib: Allow PING frame to be sent after GOAWAY (GH-1103)
* nghttpx: Fix bug that h1 backend idle timeout expires sooner
* nghttpx: Stop overwrite of first header on mruby call to
env.req.set_header(..) (Patch from Dylan Plecki) (GH-1119)
* nghttpx: Add upgrade-scheme parameter to backend option (GH-1099)
* nghttpx: Fix missing ALPN validation (--npn-list) (GH-1094)
* nghttpx: Remember which resource is pushed for RFC 8297 (GH-1101)
- Drop spdylay dependency as it is deprecated since version 1.28.0
and removed from cofnigure.ac since 1.29.0

==== pam-config ====

- Add triggerun script: update config if pam-modules is removed
[bsc#1088863]

==== perl-Config-IniFiles ====
Version update (2.95 -> 2.96)

- updated to 2.96
see /usr/share/doc/packages/perl-Config-IniFiles/Changes

==== perl-DateTime-Locale ====
Version update (1.170000 -> 1.180000)

- updated to 1.18
see /usr/share/doc/packages/perl-DateTime-Locale/Changes
1.18 2018-04-03
- Rebuilt all locale data with CLDR 33, released on 2018-03-26.

==== pidgin ====
Subpackages: libpurple libpurple-lang libpurple-plugin-sametime libpurple-tcl

- Add pidgin-enable-sni-gnutls.patch: Enable SNI for gnutls to
avoid SSL handshake failure, patch written by Tiago Herrmann
(therrmann@xxxxxxxx) (bsc#1086349, pidgin.im#17300).

==== plasma5-desktop ====
Subpackages: plasma5-desktop-lang

- Add Make-automounting-work-even-if-StorageAccess-is-ignored.patch
to fix Auto-mounting not working in some cases (kde#389479)

==== polkit-default-privs ====

- polkit-default-privs: additional tuned rules (bnc#1088648)

==== postfix ====
Subpackages: postfix-doc

- bsc#1071807 postfix-SuSE/config.postfix: only reload postfix
if the actual service is running. This prevents spurious
and irrelevant error messages in system logs.

==== python-kiwi ====
Version update (9.13.5 -> 9.14.2)

- Bump version: 9.14.1 ? 9.14.2
- Fix default initrd_system values
This commit fixes the default initrd_system value for some image
types. Since this value is included in profile and potentially
taken into account for some of the config script functions, it is
important to have consistent values even when the image type
has no initrd choice or it doesn't have initrd at all.
Related to #689
- Check partition table after cow part creation
Proceed with the persistent write partition setup only
if the cow partition could have been created successfully
- Fixed detection of disk node in live iso images
If the live iso is booted as disk the initrd code needs to
find the correct disk node pointing to the iso image. This
was formerly done by checking if the populated disk devices
contains an iso header with an application id. The information
was obtained using the isoinfo tool. isoinfo is a tool
provided by the obsolete and xorriso replaced cdrtools kit.
In addition the lookup was unsafe because any iso with
an application id would have been valid. Thus this patch
changes the detection mechanism to use the volume id as
it is used in the root assignment on the cmdline. The
volume id is populated as device label for the assigned
block device and can therefore be used as a unique id.
The volume id itself is a configuration option in the image
XML description. If not set the default is 'CDROM'. The
information can be obtained via blkid and therefore also
eliminates the isoinfo requirement
- Fixup test-image-docker unresolvable state
genisoimage seems no longer present in the distro
- Update etc/default/grub setup
kiwi writes optional grub boot parameters to the GRUB_CMDLINE_LINUX
variable in default/grub. This information is then picked up by
grub2-mkconfig and written to grub.cfg However there is also another
variable named GRUB_CMDLINE_LINUX_DEFAULT which according to the
documentation should be used preferably. While it does not seem to
matter for grub it matters for yast. Thus this patch changes the
configuration variable and fixes bsc#1084117
- Bump version: 9.14.0 ? 9.14.1
- Fixed truncation of image when writing vhd tag
When writing the vhd tag into a vhdfixed formatted image
the image was opened with the wrong open bits 'wb' and
thus was truncated at the 64k offset. This patch fixes
the open bits to allow in-place tag writing. This
Fixes bsc#1077096
- Make use of autoremove in Yum and Dnf to clean dependencies
- Enable no forced deletion for dnf, yum and apt package managers
This commit makes apt, yum and dnf support equivalent to zypper in terms
of being capable to delete packages using the package manger tools
(implies dependencies deletion is handled by the package manager)
or deleting explicitly only listed packages using packager tools
even if this implies breaking dependencies.
- fix vmx fileName parameter, bsc#1084157
- Update schema version in free schema doc generator
- Update schema version in headline of doc chapter
- Bump version: 9.13.9 ? 9.14.0
- Rebuild online schema documentation
- XSL Auto update descriptions due to schema change
- Delete obsolete hybrid attribute from type
Any iso image we create will be a hybrid image. That was
already the default for any install iso image and was a
configuration option for live images. The optional selection
only existed for systems which do not provide tools to
make an iso hybrid. All distributions kiwi supports provides
this capabilities and there is no good reason why a live
or install iso should not be hybrid and bootable as iso
and as disk. Also the boot in disk mode became the preferred
boot method for the majority of our users which requires
to provide a hybrid iso
- Add efiparttable type attribute
This commit allows to choose the partition table type for efi firmwares
using the efiparttable type attribute.
Fixes #638
- Update spec file to require xorriso
- Cleanup hybrid call and use of iso tool options
The extra isohybrid call is only needed if the mkisofs
tool category is used. Thus it should be only visible
at the place where the isofs is created and not as an
extra step in the builder tasks. Additionally the handling
of extra options was mkisofs specific and should be
better done as a common meta_data record. The tool
specific options should only appear in the tool specific
class implementations
- Allow to configure iso tool category
Switch to xorriso by default but allow to setup cdrtools
in the runtime configuration file
- Remove xml_parse.py shebang in spec
It removes the shebang from the autogenerated file and also removes
the exception in rpmlint to ignore non-executable-script warning.
Fixes #666
- Remove unneeded shebangs from dracut modules
Fixes #668
- Added IsoToolsXorrIso class
As an alternative to mkisofs/genisoimage there is now the
IsoToolsXorrIso class which implements the IsoTools interface
by using xorriso. This Fixes #635
- Update package MANIFEST.in
Include new iso_tools directory
- Added iso_tools api documentation
- Add list_iso method to iso_tools api
- Update FSF address
The address has been taken from the header example published here
https://www.gnu.org/licenses/old-licenses/gpl-2.0.html
Fixes #667
- Add create_iso method to iso_tools api
- Seperate iso tool handling into its own namespace
The Iso class only provides generic helper methods around the
creation of ISO filesystems. For the creation of the filesystem
itself we encapsulate the tool parameter handling into its own
class. For the option compatible mkisofs/genisoimage tools the
IsoToolsCdrTools class exists. This allows to create e.g
IsoToolsXorrIso class as a future implementation
- Refactor iso helper tools
There are several tools available to build iso images.
genisoimage, mkisofs and also xorriso. The history of
the tools shows them to be used in the range of available
Linux distributions. Thus kiwi contains an abstraction
layer to support them but assumed they are option
compatible. With the xorriso implementation this is no
longer correct and therefore a refactoring of the iso
tools api is required before support for xorriso can
be added. This references Issue #635
- Make build type mandatory in XMLState
- kiwi_inode_size value is no longer hardcoded in more than one place
- Add warning message for dasd
- Rearrange defaults and some comments
- Rearrange variable start_sector attribute to be a Partitioner attribute
- Add disk_start_sector type attribute
This commit adds the disk start sector attribute to configure the
first disk sector for the first partition of the disk.
Fixes #575
- Rebuild online schema documentation
- Bump version: 9.13.8 ? 9.13.9
- Bump version: 9.13.7 ? 9.13.8
- Fixed base package requires
kpartx is used by kiwi but was not required in spec
- Update gitignore
Do not manage changes in .pytest_cache
- Tell plymouth to quit only if a dialog is called
In case of a dialog kiwi uses the dialog program which conflicts
with the plymouth splash system. Thus we tell plymouth to stop
This patch changes the request to be send to plymouth prior to
a dialog call and not in general
- Bump version: 9.13.6 ? 9.13.7
- Update bootloader console for oem test image
Set bootloader_console="serial" for the oem test image to
allow testing in the Kanku CI
- Add profile dependencies
With this commit the profile can include other profiles as a dependency.
This way it is possible build an image defined by multiple profiles by just
calling a single composed profile from the command line.
Fixes #658
- Bump version: 9.13.5 ? 9.13.6
- Disable multipath from oem build test
- Fixup setup of root_filesystem_is_multipath
The variable is set to a boolean value or None. If set to
False due to a configuration of oem-multipath-scan this
will cause the dracut multipath module to be omitted.
In any other case the presence of the multipath module
decides whether it will be included into the dracut
generated initrd or not.
- Fixup python-kiwi base package requires
There is no need for the base package to require multipath.
Those tools are only needed for dracut modules
- Use dracut modules based on feature use
As the kiwi build dracut initrd is a generic one which
includes all installed dracut modules we missed a way to
exclude modules from beeing incorporated even if we know
it would not be needed. One example is the multipath module
which would only be useful if the oem multipath scan is
configured in the image description
- Update test-image-oem build
Create hostonly dracut initrd on first boot and replace
kiwi's grub config by the result of grub2-mkconfig
- Delete invalid motd file from build tests
- Prepare test-image-oem build test for Kanku
Activate unattended mode and preselect the installation target
Also specify a fixed swapsize value to be independent of the
host main memory which is used to calculate swap if no size
is specified

==== sane-backends ====
Subpackages: sane-backends-autoconfig sane-backends-devel

- Replaced the non-working saned@.service with the simpler kind
according to the second template in "man saned" of the therein
described "systemd configuration for saned" (boo#1074054).

==== sqlite3 ====
Version update (3.23.0 -> 3.23.1)
Subpackages: libsqlite3-0 libsqlite3-0-32bit sqlite3-devel sqlite3-doc

- update to 3.23.1:
* Fix two problems in the new LEFT JOIN strength reduction
optimization
* Fix misbehavior of the FTS5 xBestIndex method
* Fix a harmless reference to an uninitialized virtual machine
register
* Fix the eval.c extension so that it works with PRAGMA
empty_result_callbacks=ON
* Fix the generate_series virtual table so that it correctly
returns no rows if any of its constraints are NULL
* Performance enhancements in the parser

==== talloc ====
Version update (2.1.11 -> 2.1.13)
Subpackages: libtalloc2 libtalloc2-32bit python-talloc python-talloc-32bit

- Update to version 2.1.13
+ Use atexit() again instead of a library destructor; (bso#13366);
(bso#7587).
+ Prevent assert in sssd (bso#7587).

==== tigervnc ====

- Limit feature description to openSUSE. Ensure neutrality of
description.
- Add u_change-button-layout-in-ServerDialog.patch
* To fit strings in languages with longer words... (bnc#1084865)
- Refresh n_tigervnc-date-time.patch
* Completely hide the build time (bnc#1082968)

==== webkit2gtk3 ====
Version update (2.20.0 -> 2.20.1)
Subpackages: libjavascriptcoregtk-4_0-18 libwebkit2gtk-4_0-37
libwebkit2gtk3-lang typelib-1_0-JavaScriptCore-4_0 typelib-1_0-WebKit2-4_0
webkit2gtk-4_0-injected-bundles

- Add webkit2gtk3-boo1088932-a11y-state-set.patch: fix crash when
atk_object_ref_state_set is called on an AtkObject that's being
destroyed (boo#1088932 webkit#184366).
- Update to version 2.20.1:
+ Improve error message when Gigacage cannot allocate virtual
memory.
+ Add missing WebKitWebProcessEnumTypes.h to
webkit-web-extension.h.
+ Improve web process memory monitor thresholds.
+ Fix a web process crash when the web view is created and
destroyed quickly.
+ Fix a network process crash when load is cancelled while
searching for stored HTTP auth credentials.
+ Fix the build when ENABLE_VIDEO, ENABLE_WEB_AUDIO and
ENABLE_XSLT are disabled.
+ Fix several crashes and rendering issues.
+ Updated translations.

==== xf86-input-libinput ====
Version update (0.27.0 -> 0.27.1)

- Update to version 0.27.1
* Just one bugfix, a regression introduced by the new property
handling in 0.27.0 caused the property to toggle left-handed
to not be initialized on all devices that required it.
- supersedes U_Fix-left-handed-property.patch

==== zbar ====

- Add fix-gcc8.patch (boo#1088885).


--
To unsubscribe, e-mail: opensuse-factory+unsubscribe@xxxxxxxxxxxx
To contact the owner, e-mail: opensuse-factory+owner@xxxxxxxxxxxx

< Previous Next >
Follow Ups